# Interface methods for submodule: RayCastInterpolateImageFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InterpolateImageFunctionProxy as _InterpolateImageFunctionProxy


# Interface methods for class: RayCastInterpolateImageFunction
class RayCastInterpolateImageFunctionProxy(_InterpolateImageFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def Evaluate(self, point: Sequence[float]) -> float:
		""""""
		...

	def EvaluateAtContinuousIndex(self, index) -> float:
		""""""
		...

	def SetTransform(self, _arg) -> None:
		""""""
		...

	def GetModifiableTransform(self):
		""""""
		...

	def GetTransform(self):
		""""""
		...

	def SetInterpolator(self, _arg) -> None:
		""""""
		...

	def GetModifiableInterpolator(self):
		""""""
		...

	def GetInterpolator(self):
		""""""
		...

	def SetFocalPoint(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetFocalPoint(self) -> Sequence[float]:
		""""""
		...

	def SetThreshold(self, _arg: float) -> None:
		""""""
		...

	def GetThreshold(self) -> float:
		""""""
		...

	@overload
	def IsInsideBuffer(self, arg0: Sequence[float]) -> bool:
		""""""
		...

	@overload
	def IsInsideBuffer(self, arg0) -> bool:
		""""""
		...

	@overload
	def IsInsideBuffer(self, arg0: Sequence[int]) -> bool:
		""""""
		...

	def GetRadius(self) -> Sequence[int]:
		""""""
		...

